package com.sqx.modules.bl.massage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.bl.massage.entity.MassagePackageDetail;

public interface MassagePackageDetailService extends IService<MassagePackageDetail> {

    Result findPage(MassagePackageDetail massagePackageDetail);
    void updatePrice(MassagePackageDetail massagePackageDetail);
    void updateCount(MassagePackageDetail massagePackageDetail);
    void updateIntervalDays(MassagePackageDetail massagePackageDetail);
    void updateStatus(MassagePackageDetail massagePackageDetail);
    void insertDetail(MassagePackageDetail massagePackageDetail);
    Result findMassagePage(MassagePackageDetail massagePackageDetail);
    void delete(MassagePackageDetail massagePackageDetail);

    Result findAppPage(MassagePackageDetail massagePackageDetail);
    Result getAppPackageDetail(MassagePackageDetail massagePackageDetail);
}